require_dependency "active_stix/application_controller"

module ActiveStix
  class BccRefsController < ApplicationController
    before_action :set_bcc_ref, only: [:show, :edit, :update, :destroy]

    # GET /bcc_refs
    def index
      @bcc_refs = BccRef.all
    end

    # GET /bcc_refs/1
    def show
    end

    # GET /bcc_refs/new
    def new
      @bcc_ref = BccRef.new
    end

    # GET /bcc_refs/1/edit
    def edit
    end

    # POST /bcc_refs
    def create
      @bcc_ref = BccRef.new(bcc_ref_params)

      if @bcc_ref.save
        redirect_to @bcc_ref, notice: 'Bcc ref was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /bcc_refs/1
    def update
      if @bcc_ref.update(bcc_ref_params)
        redirect_to @bcc_ref, notice: 'Bcc ref was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /bcc_refs/1
    def destroy
      @bcc_ref.destroy
      redirect_to bcc_refs_url, notice: 'Bcc ref was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_bcc_ref
        @bcc_ref = BccRef.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def bcc_ref_params
        params.require(:bcc_ref).permit(:email_message_id, :email_address_id)
      end
  end
end
