require_dependency "active_stix/application_controller"

module ActiveStix
  class BundledObjectsController < ApplicationController
    before_action :set_bundled_object, only: [:show, :edit, :update, :destroy]

    # GET /bundled_objects
    def index
      @bundled_objects = BundledObject.all
    end

    # GET /bundled_objects/1
    def show
    end

    # GET /bundled_objects/new
    def new
      @bundled_object = BundledObject.new
    end

    # GET /bundled_objects/1/edit
    def edit
    end

    # POST /bundled_objects
    def create
      @bundled_object = BundledObject.new(bundled_object_params)

      if @bundled_object.save
        redirect_to @bundled_object, notice: 'Bundled object was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /bundled_objects/1
    def update
      if @bundled_object.update(bundled_object_params)
        redirect_to @bundled_object, notice: 'Bundled object was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /bundled_objects/1
    def destroy
      @bundled_object.destroy
      redirect_to bundled_objects_url, notice: 'Bundled object was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_bundled_object
        @bundled_object = BundledObject.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def bundled_object_params
        params.require(:bundled_object).permit(:bundle_ref, :object_ref, :object_type)
      end
  end
end
