require_dependency "active_stix/application_controller"

module ActiveStix
  class CourseOfActionsController < ApplicationController
    before_action :set_course_of_action, only: [:show, :edit, :update, :destroy]

    # GET /course_of_actions
    def index
      @course_of_actions = CourseOfAction.all
    end

    # GET /course_of_actions/1
    def show
    end

    # GET /course_of_actions/new
    def new
      @course_of_action = CourseOfAction.new
    end

    # GET /course_of_actions/1/edit
    def edit
    end

    # POST /course_of_actions
    def create
      @course_of_action = CourseOfAction.new(course_of_action_params)

      if @course_of_action.save
        redirect_to @course_of_action, notice: 'Course of action was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /course_of_actions/1
    def update
      if @course_of_action.update(course_of_action_params)
        redirect_to @course_of_action, notice: 'Course of action was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /course_of_actions/1
    def destroy
      @course_of_action.destroy
      redirect_to course_of_actions_url, notice: 'Course of action was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_course_of_action
        @course_of_action = CourseOfAction.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def course_of_action_params
        params.require(:course_of_action).permit(:active_stix_id, :name, :description, :x_mitre_version)
      end
  end
end
