require_dependency "active_stix/application_controller"

module ActiveStix
  class CyberObservablesController < ApplicationController
    before_action :set_cyber_observable, only: [:show, :edit, :update, :destroy]

    # GET /cyber_observables
    def index
      @cyber_observables = CyberObservable.all
    end

    # GET /cyber_observables/1
    def show
    end

    # GET /cyber_observables/new
    def new
      @cyber_observable = CyberObservable.new
    end

    # GET /cyber_observables/1/edit
    def edit
    end

    # POST /cyber_observables
    def create
      @cyber_observable = CyberObservable.new(cyber_observable_params)

      if @cyber_observable.save
        redirect_to @cyber_observable, notice: 'Cyber observable was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /cyber_observables/1
    def update
      if @cyber_observable.update(cyber_observable_params)
        redirect_to @cyber_observable, notice: 'Cyber observable was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /cyber_observables/1
    def destroy
      @cyber_observable.destroy
      redirect_to cyber_observables_url, notice: 'Cyber observable was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_cyber_observable
        @cyber_observable = CyberObservable.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def cyber_observable_params
        params.require(:cyber_observable).permit(:observed_datum_ref, :observable_object_id, :cyber_observable_object_type)
      end
  end
end
