class ActiveStix::EmailAddressesController < ApplicationController
  before_action :set_stix_email_address, only: [:show, :edit, :update, :destroy]

  # GET /stix/email_addresses
  # GET /stix/email_addresses.json
  def index
    @email_addresses = ActiveStix::EmailAddress.all
  end

  # GET /stix/email_addresses/1
  # GET /stix/email_addresses/1.json
  def show
  end

  # GET /stix/email_addresses/new
  def new
    @email_address = ActiveStix::EmailAddress.new
  end

  # GET /stix/email_addresses/1/edit
  def edit
  end

  # POST /stix/email_addresses
  # POST /stix/email_addresses.json
  def create
    @email_address = ActiveStix::EmailAddress.new(stix_email_address_params)

    respond_to do |format|
      if @email_address.save
        format.html { redirect_to @email_address, notice: 'Email address was successfully created.' }
        format.json { render :show, status: :created, location: @email_address }
      else
        format.html { render :new }
        format.json { render json: @email_address.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /stix/email_addresses/1
  # PATCH/PUT /stix/email_addresses/1.json
  def update
    respond_to do |format|
      if @email_address.update(stix_email_address_params)
        format.html { redirect_to @email_address, notice: 'Email address was successfully updated.' }
        format.json { render :show, status: :ok, location: @email_address }
      else
        format.html { render :edit }
        format.json { render json: @email_address.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /stix/email_addresses/1
  # DELETE /stix/email_addresses/1.json
  def destroy
    @email_address.destroy
    respond_to do |format|
      format.html { redirect_to stix_email_addresses_url, notice: 'Email address was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_stix_email_address
      @email_address = ActiveStix::EmailAddress.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def stix_email_address_params
      params.require(:email_address).permit(:value, :display_name, :belongs_to_ref)
    end
end
