require_dependency "active_stix/application_controller"

module ActiveStix
  class ExternalReferencesController < ApplicationController
    before_action :set_external_reference, only: [:show, :edit, :update, :destroy]

    # GET /external_references
    def index
      @external_references = ExternalReference.all
    end

    # GET /external_references/1
    def show
    end

    # GET /external_references/new
    def new
      @external_reference = ExternalReference.new
    end

    # GET /external_references/1/edit
    def edit
    end

    # POST /external_references
    def create
      @external_reference = ExternalReference.new(external_reference_params)

      if @external_reference.save
        redirect_to @external_reference, notice: 'External reference was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /external_references/1
    def update
      if @external_reference.update(external_reference_params)
        redirect_to @external_reference, notice: 'External reference was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /external_references/1
    def destroy
      @external_reference.destroy
      redirect_to external_references_url, notice: 'External reference was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_external_reference
        @external_reference = ExternalReference.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def external_reference_params
        params.require(:external_reference).permit(:source_name, :description, :url, :external_id)
      end
  end
end
