class ActiveStix::FilesController < ApplicationController
  before_action :set_stix_file, only: [:show, :edit, :update, :destroy]

  # GET /stix/files
  # GET /stix/files.json
  def index
    @files = ActiveStix::File.all
  end

  # GET /stix/files/1
  # GET /stix/files/1.json
  def show
  end

  # GET /stix/files/new
  def new
    @file = ActiveStix::File.new
  end

  # GET /stix/files/1/edit
  def edit
  end

  # POST /stix/files
  # POST /stix/files.json
  def create
    @file = ActiveStix::File.new(stix_file_params)

    respond_to do |format|
      if @file.save
        format.html { redirect_to @file, notice: 'File was successfully created.' }
        format.json { render :show, status: :created, location: @file }
      else
        format.html { render :new }
        format.json { render json: @file.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /stix/files/1
  # PATCH/PUT /stix/files/1.json
  def update
    respond_to do |format|
      if @file.update(stix_file_params)
        format.html { redirect_to @file, notice: 'File was successfully updated.' }
        format.json { render :show, status: :ok, location: @file }
      else
        format.html { render :edit }
        format.json { render json: @file.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /stix/files/1
  # DELETE /stix/files/1.json
  def destroy
    @file.destroy
    respond_to do |format|
      format.html { redirect_to stix_files_url, notice: 'File was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_stix_file
      @file = ActiveStix::File.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def stix_file_params
      params.require(:file).permit(:extensions, :hashes, :size, :name, :name_enc, :magic_number_hex, :mime_type, :created_file, :modified_file, :accessed_file, :parent_directory_ref, :is_encrypted, :encryption_algorithm, :decryption_key, :content_ref)
    end
end
