require_dependency "active_stix/application_controller"

module ActiveStix
  class IndicatorLabelsController < ApplicationController
    before_action :set_indicator_label, only: [:show, :edit, :update, :destroy]

    # GET /indicator_labels
    def index
      @indicator_labels = IndicatorLabel.all
    end

    # GET /indicator_labels/1
    def show
    end

    # GET /indicator_labels/new
    def new
      @indicator_label = IndicatorLabel.new
    end

    # GET /indicator_labels/1/edit
    def edit
    end

    # POST /indicator_labels
    def create
      @indicator_label = IndicatorLabel.new(indicator_label_params)

      if @indicator_label.save
        redirect_to @indicator_label, notice: 'Indicator label was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /indicator_labels/1
    def update
      if @indicator_label.update(indicator_label_params)
        redirect_to @indicator_label, notice: 'Indicator label was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /indicator_labels/1
    def destroy
      @indicator_label.destroy
      redirect_to indicator_labels_url, notice: 'Indicator label was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_indicator_label
        @indicator_label = IndicatorLabel.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def indicator_label_params
        params.require(:indicator_label).permit(:label_id, :indicator_id)
      end
  end
end
