require_dependency "active_stix/application_controller"

module ActiveStix
  class IntrusionSetsController < ApplicationController
    before_action :set_intrusion_set, only: [:show, :edit, :update, :destroy]

    # GET /intrusion_sets
    def index
      @intrusion_sets = IntrusionSet.all
    end

    # GET /intrusion_sets/1
    def show
    end

    # GET /intrusion_sets/new
    def new
      @intrusion_set = IntrusionSet.new
    end

    # GET /intrusion_sets/1/edit
    def edit
    end

    # POST /intrusion_sets
    def create
      @intrusion_set = IntrusionSet.new(intrusion_set_params)

      if @intrusion_set.save
        redirect_to @intrusion_set, notice: 'Intrusion set was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /intrusion_sets/1
    def update
      if @intrusion_set.update(intrusion_set_params)
        redirect_to @intrusion_set, notice: 'Intrusion set was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /intrusion_sets/1
    def destroy
      @intrusion_set.destroy
      redirect_to intrusion_sets_url, notice: 'Intrusion set was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_intrusion_set
        @intrusion_set = IntrusionSet.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def intrusion_set_params
        params.require(:intrusion_set).permit(:name, :description, :first_seen, :last_seen, :active_stix_id, :aliases, :object_marking_refs)
      end
  end
end
