require_dependency "active_stix/application_controller"

module ActiveStix
  class KillChainPhasesController < ApplicationController
    before_action :set_kill_chain_phase, only: [:show, :edit, :update, :destroy]

    # GET /kill_chain_phases
    def index
      @kill_chain_phases = KillChainPhase.all
    end

    # GET /kill_chain_phases/1
    def show
    end

    # GET /kill_chain_phases/new
    def new
      @kill_chain_phase = KillChainPhase.new
    end

    # GET /kill_chain_phases/1/edit
    def edit
    end

    # POST /kill_chain_phases
    def create
      @kill_chain_phase = KillChainPhase.new(kill_chain_phase_params)

      if @kill_chain_phase.save
        redirect_to @kill_chain_phase, notice: 'Kill chain phase was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /kill_chain_phases/1
    def update
      if @kill_chain_phase.update(kill_chain_phase_params)
        redirect_to @kill_chain_phase, notice: 'Kill chain phase was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /kill_chain_phases/1
    def destroy
      @kill_chain_phase.destroy
      redirect_to kill_chain_phases_url, notice: 'Kill chain phase was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_kill_chain_phase
        @kill_chain_phase = KillChainPhase.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def kill_chain_phase_params
        params.require(:kill_chain_phase).permit(:attack_pattern_ref, :phase_id)
      end
  end
end
