require_dependency "active_stix/application_controller"

module ActiveStix
  class KillChainsController < ApplicationController
    before_action :set_kill_chain, only: [:show, :edit, :update, :destroy]

    # GET /kill_chains
    def index
      @kill_chains = KillChain.all
    end

    # GET /kill_chains/1
    def show
    end

    # GET /kill_chains/new
    def new
      @kill_chain = KillChain.new
    end

    # GET /kill_chains/1/edit
    def edit
    end

    # POST /kill_chains
    def create
      @kill_chain = KillChain.new(kill_chain_params)

      if @kill_chain.save
        redirect_to @kill_chain, notice: 'Kill chain was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /kill_chains/1
    def update
      if @kill_chain.update(kill_chain_params)
        redirect_to @kill_chain, notice: 'Kill chain was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /kill_chains/1
    def destroy
      @kill_chain.destroy
      redirect_to kill_chains_url, notice: 'Kill chain was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_kill_chain
        @kill_chain = KillChain.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def kill_chain_params
        params.require(:kill_chain).permit(:name)
      end
  end
end
