require_dependency "active_stix/application_controller"

module ActiveStix
  class MarkingDefinitionsController < ApplicationController
    before_action :set_marking_definition, only: [:show, :edit, :update, :destroy]

    # GET /marking_definitions
    def index
      @marking_definitions = MarkingDefinition.all
    end

    # GET /marking_definitions/1
    def show
    end

    # GET /marking_definitions/new
    def new
      @marking_definition = MarkingDefinition.new
    end

    # GET /marking_definitions/1/edit
    def edit
    end

    # POST /marking_definitions
    def create
      @marking_definition = MarkingDefinition.new(marking_definition_params)

      if @marking_definition.save
        redirect_to @marking_definition, notice: 'Marking definition was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /marking_definitions/1
    def update
      if @marking_definition.update(marking_definition_params)
        redirect_to @marking_definition, notice: 'Marking definition was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /marking_definitions/1
    def destroy
      @marking_definition.destroy
      redirect_to marking_definitions_url, notice: 'Marking definition was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_marking_definition
        @marking_definition = MarkingDefinition.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def marking_definition_params
        params.require(:marking_definition).permit(:active_stix_id, :definition_type, :definition, :relationship_ref)
      end
  end
end
