require_dependency "active_stix/application_controller"

module ActiveStix
  class ObservedDataController < ApplicationController
    before_action :set_observed_datum, only: [:show, :edit, :update, :destroy]

    # GET /observed_data
    def index
      @observed_data = ObservedDatum.all
    end

    # GET /observed_data/1
    def show
    end

    # GET /observed_data/new
    def new
      @observed_datum = ObservedDatum.new
    end

    # GET /observed_data/1/edit
    def edit
    end

    # POST /observed_data
    def create
      @observed_datum = ObservedDatum.new(observed_datum_params)

      if @observed_datum.save
        redirect_to @observed_datum, notice: 'Observed datum was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /observed_data/1
    def update
      if @observed_datum.update(observed_datum_params)
        redirect_to @observed_datum, notice: 'Observed datum was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /observed_data/1
    def destroy
      @observed_datum.destroy
      redirect_to observed_data_url, notice: 'Observed datum was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_observed_datum
        @observed_datum = ObservedDatum.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def observed_datum_params
        params.require(:observed_datum).permit(:active_stix_id, :first_observed_datetime, :last_observed, :number_observed)
      end
  end
end
