require_dependency "active_stix/application_controller"

module ActiveStix
  class OpenVocabulariesController < ApplicationController
    before_action :set_open_vocabulary, only: [:show, :edit, :update, :destroy]

    # GET /open_vocabularies
    def index
      @open_vocabularies = OpenVocabulary.all
    end

    # GET /open_vocabularies/1
    def show
    end

    # GET /open_vocabularies/new
    def new
      @open_vocabulary = OpenVocabulary.new
    end

    # GET /open_vocabularies/1/edit
    def edit
    end

    # POST /open_vocabularies
    def create
      @open_vocabulary = OpenVocabulary.new(open_vocabulary_params)

      if @open_vocabulary.save
        redirect_to @open_vocabulary, notice: 'Open vocabulary was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /open_vocabularies/1
    def update
      if @open_vocabulary.update(open_vocabulary_params)
        redirect_to @open_vocabulary, notice: 'Open vocabulary was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /open_vocabularies/1
    def destroy
      @open_vocabulary.destroy
      redirect_to open_vocabularies_url, notice: 'Open vocabulary was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_open_vocabulary
        @open_vocabulary = OpenVocabulary.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def open_vocabulary_params
        params.require(:open_vocabulary).permit(:name)
      end
  end
end
