class ActiveStix::ThreatActorsController < ApplicationController
  before_action :set_stix_threat_actor, only: [:show, :edit, :update, :destroy]

  # GET /stix/threat_actors
  # GET /stix/threat_actors.json
  def index
    @threat_actors = ActiveStix::ThreatActor.all
  end

  # GET /stix/threat_actors/1
  # GET /stix/threat_actors/1.json
  def show
  end

  # GET /stix/threat_actors/new
  def new
    @threat_actor = ActiveStix::ThreatActor.new
  end

  # GET /stix/threat_actors/1/edit
  def edit
  end

  # POST /stix/threat_actors
  # POST /stix/threat_actors.json
  def create
    @threat_actor = ActiveStix::ThreatActor.new(stix_threat_actor_params)

    respond_to do |format|
      if @threat_actor.save
        format.html { redirect_to @threat_actor, notice: 'Threat actor was successfully created.' }
        format.json { render :show, status: :created, location: @threat_actor }
      else
        format.html { render :new }
        format.json { render json: @threat_actor.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /stix/threat_actors/1
  # PATCH/PUT /stix/threat_actors/1.json
  def update
    respond_to do |format|
      if @threat_actor.update(stix_threat_actor_params)
        format.html { redirect_to @threat_actor, notice: 'Threat actor was successfully updated.' }
        format.json { render :show, status: :ok, location: @threat_actor }
      else
        format.html { render :edit }
        format.json { render json: @threat_actor.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /stix/threat_actors/1
  # DELETE /stix/threat_actors/1.json
  def destroy
    @threat_actor.destroy
    respond_to do |format|
      format.html { redirect_to stix_threat_actors_url, notice: 'Threat actor was successfully destroyed.' }
      format.json { head :no_content }
    end
  end


  private
    # Use callbacks to share common setup or constraints between actions.
    def set_stix_threat_actor
      @threat_actor = ActiveStix::ThreatActor.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def stix_threat_actor_params
      params.require(:threat_actor).permit(:name, :description)
    end
end
