module ActiveStix
  class Artifact < ApplicationRecord

    before_create do
      self.stix_id = "#{self.type}--#{SecureRandom.uuid}" if stix_id.blank?
    end

    def type
      return "artifact"
    end



    def self.create_from_eml(eml)
      mail = Mail.new(eml)
      artifact = Artifact.new
      artifact.mime_type = mail.mime_type
      artifact.payload_bin = eml
      artifact.save
      artifact
    end
  end
end
