class ActiveStix::ExternalReference < ApplicationRecord
  has_many :course_of_actions, :class_name => 'ActiveStix::CourseOfAction', through: :reference_items
  has_many :intrusion_sets, :class_name => 'ActiveStix::IntrusionSet', through: :reference_item_is
  has_many :malwares, :class_name => 'ActiveStix::Malware', through: :reference_items
  has_many :tools, :class_name => 'ActiveStix::Tool', through: :reference_items
  # has_many :marking_definitions, :class_name => 'ActiveStix::MarkingDefinition', through: :reference_items todo
  has_many :reference_items, :class_name => 'ActiveStix::ReferenceItem', foreign_key: 'external_reference_id'

  def self.ingest_json(obj, parent_obj_id)
    if obj.has_key?('url')
      external_reference = find_or_create_by(url:obj['url'])
    elsif obj.has_key?('source_name') and obj.has_key?('description')
      external_reference = find_or_create_by(source_name:obj['source_name'], description:obj['description'])
    elsif obj.has_key?('source_name') and obj.has_key?('external_id')
      external_reference = find_or_create_by(source_name:obj['source_name'], external_id:obj['external_id'])
    end

    if obj.has_key?('source_name')
      external_reference.source_name = obj['source_name']
    end
    if obj.has_key?('description')
      external_reference.description = obj['description']
    end
    if obj.has_key?('external_id')
      external_reference.external_id = obj['external_id']
    end
    external_reference.save
    external_reference
  end

  def convert_to_json
    {
        :source_name => source_name,
        :url => url,
        :external_id => external_id,
        :description => description
    }
  end


  def as_stix
    as_json(only: [:source_name, :url, :external_id, :description])
  end

end



