module ActiveStix
  class Url < ApplicationRecord

    has_many :cyber_observables, :class_name => 'ActiveStix::CyberObservable', foreign_key: :observable_object_id
    has_many :observed_data, through: :cyber_observables, :class_name => "ActiveStix::ObservedDatum"

    after_create do
      ObservedDatum.wrap_object(self)
    end

    def type
      "url"
    end
  end
end
