ActiveStix::Engine.routes.draw do
  resources :artifacts
  resources :attack_patterns
  resources :bcc_refs
  resources :users
  resources :urls
  resources :tools
  resources :threat_actors do
    resources :campaigns
  end
  resources :reports
  resources :relationships
  resources :recipients
  resources :phases
  resources :open_vocabularies
  resources :observed_data
  resources :marking_definitions
  resources :malwares
  resources :kill_chains
  resources :kill_chain_phases
  resources :intrusion_sets
  resources :indicators
  resources :indicator_labels
  resources :identities do
    get 'sent', action: :show, mailbox: "sent"
    get 'received', action: :show, mailbox: "received"
    get 'cc', action: :show, mailbox: "cc"
    get 'sent_corpus', action: :corpus, mailbox: "sent"
    get 'received_corpus', action: :corpus, mailbox: "received"
    post 'employment'
    post 'attribution'
  end
  resources :files
  resources :external_references
  resources :email_messages
  resources :cyber_observables
  resources :course_of_actions
  resources :bundles
  resources :bundled_objects
end
