require_dependency "active_stix/application_controller"

module ActiveStix
  class MalwaresController < ApplicationController
    before_action :set_malware, only: [:show, :edit, :update, :destroy]

    # GET /malwares
    def index
      @malwares = Malware.all
    end

    # GET /malwares/1
    def show
    end

    # GET /malwares/new
    def new
      @malware = Malware.new
    end

    # GET /malwares/1/edit
    def edit
    end

    # POST /malwares
    def create
      @malware = Malware.new(malware_params)

      if @malware.save
        redirect_to @malware, notice: 'Malware was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /malwares/1
    def update
      if @malware.update(malware_params)
        redirect_to @malware, notice: 'Malware was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /malwares/1
    def destroy
      @malware.destroy
      redirect_to malwares_url, notice: 'Malware was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_malware
        @malware = Malware.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def malware_params
        params.require(:malware).permit(:active_stix_id, :name, :description, :created_by_ref)
      end
  end
end
